PAM_PUTENV(3)

NAME
pam_putenv - set the value of an environment variable

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
int
pam_putenv(pam_handle_t *pamh, const char *namevalue);

DESCRIPTION
The pam_putenv() function sets an environment variable. Its semantics are similar to those of putenv(3), but it modifies the PAM context's environment list instead of the application's.

RETURN VALUES
The pam_putenv() function returns one of the following values:

[PAM_SUCCESS]
    Success.

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
pam(3), pam_getenv(3), pam_getenvlist(3), pam_setenv(3), pam_strerror(3), putenv(3)

STANDARDS
X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

AUTHORS
The pam_putenv() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.